import { jsx as t } from "react/jsx-runtime";
import { cn as a } from "../../utils/cn.js";
import { getLanguageIconUrl as n } from "../../utils/icon-utils.js";
const k = ({ language: r, className: o }) => {
  const e = n(r);
  return e ? /* @__PURE__ */ t(
    "svg",
    {
      className: a("size-3.5 shrink-0", o),
      style: {
        WebkitMaskImage: `url(${e})`,
        WebkitMaskRepeat: "no-repeat",
        WebkitMaskPosition: "center",
        maskImage: `url(${e})`,
        maskRepeat: "no-repeat",
        maskPosition: "center",
        maskSize: "100%",
        backgroundColor: "currentColor"
      }
    }
  ) : null;
};
export {
  k as LanguageIcon
};
